/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * ConsoleDrawer.cpp - implements the ConsoleDrawer
 *
 ************************************************************************/


#include <iostream>
using std::cout;
using std::endl;

#include "ConsoleGridDrawer.h"
#include "GameGrid.h"
#include "Player.h"


const char NO_PLAYER_SIGN = ' ';


/*
 * Ctor...
 */
ConsoleGridDrawer::ConsoleGridDrawer(const GameGrid& grid, const Player& p1, const Player& p2)
	: grid_(grid)
{
	sign_[NO_PLAYER] = NO_PLAYER_SIGN;
	sign_[p1.code] = p1.sign;
	sign_[p2.code] = p2.sign;
}


/*
 * draw the status of the grid onto STDOUT in a nice table
 *
 * note that the rows have to be traversed in reversed order, as
 * grid[slot][0] should apear as the bottom-element...
 */		
void ConsoleGridDrawer::draw()
{
	cout << "\n\n\n";
	for (int i = grid_.getRows() - 1; i >= 0; --i)
	{
		for (int j = 0; j < grid_.getSlots(); ++j) cout << "--";
		cout << "-\n";

		for (int j = 0; j < grid_.getSlots(); ++j)
		{
			cout << '|' << sign_[grid_.get(j, i)];
		}
		cout << "|\n";
	}

	for (int j = 0; j < grid_.getSlots(); ++j) cout << "--";
	cout << "-\n\n\n\n\n\n" << endl;
}


