#ifndef GAMEGRID_H
#define GAMEGRID_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * GameGrid.h - the underlying data structure
 *
 ************************************************************************/



#include <vector>
#include "PlayerCode.h"

/*
 * the GameGrid represents the datastructure that  
 * stores the acutal game as an array of slots
 */
class GameGrid
{
	public:
		GameGrid(unsigned short rows, unsigned short columns);
		~GameGrid();

		bool putIntoSlot(unsigned short slot, PlayerCode player);
		void reset();

		PlayerCode get(int slot, int row) const;
		unsigned short getRows() const {return rows_;}
		unsigned short getSlots() const {return slots_;}

	private:
		typedef std::vector<PlayerCode> Slot;
		unsigned short rows_;
		unsigned short slots_;
		std::vector<Slot> data_;

};


/*
 * return which coin can be found on a given slot and row
 * (inlined because the function called most througout a
 * normal run of the program)
 */
inline PlayerCode GameGrid::get(int slot, int row) const
{
	assert(slot >= 0 && row >= 0);
	assert(slot < slots_);
	assert(row < rows_);
	return data_[slot][row];
}


#endif

