#ifndef GAMEMANAGER_H
#define GAMEMANAGER_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * GameManager.h - manages all the game-related stuff
 *
 ************************************************************************/

#include "Player.h"
#include <string>
#include <map>
#include "GameGrid.h"
using std::map;

class GridDrawer;
class ScoreController;
class UserInterface;

class GameManager
{
	public:
		GameManager();
		~GameManager();

		void start();
		void run();
		void exitToMainMenu();
		void exitProgram();
		void putIntoSlot(unsigned short slot);
		
		const Player& getActualPlayer() {return *actualPlayer_;}
		const Player& getPlayer1() {return playerMap_[PLAYER_1];}
		const Player& getPlayer2() {return playerMap_[PLAYER_2];}
		const GameGrid& getGrid() {return *grid_;}

		unsigned short getNrOfSlots() {return grid_->getSlots();};

		bool isRunning(){return isRunning_;}

		class IllegalSlotError{};

	private:
		void switchActualPlayer();

		bool isRunning_;
		bool doQuit_;
		PlayerCode winner_;
		Player* actualPlayer_;
		map<PlayerCode, Player> playerMap_;

		GameGrid* grid_;
		ScoreController* scoreController_;
		UserInterface* userInterface_;
};

#endif

