#ifndef MENU_H
#define MENU_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * Menu.h - interface for a menu
 *
 ************************************************************************
 *
 * this is an interface for a menu.
 * Menu-Entries can be added with addSelection(). The second parameter
 * for each entry that can be added is an id.
 *
 * once run() is called, the Menu shall take over the interactions with
 * the user, and block until the user has selected a Menu entry.
 *
 * Once the user selects a given menu-entry, run() will end, returning
 * the ID of the chosen entry (which can then be handled e.g. in a switch
 * statement).
 *
 * NOTE: the IDs assigned to an entry doesn't have to be unique, so
 * different entries might return the same ID
 *
 * the entries shall be shown to the user in the order they are added
 *
 ************************************************************************/

#include <string>
using std::string;

class Menu
{
	public:
		virtual void addEntry(const string& label, int return_id) = 0;
		virtual int run() = 0;
};

#endif

