#ifndef PLAYERCODE_H
#define PLAYERCODE_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * PlayerCode.h - a simple enum which encodes the players
 *
 ************************************************************************/


/*
 * The PlayerCode is needed in more than one occasion:
 * as a first thing, it's the data the GameGrid stores, but
 * on the same time it's also used to identify the players
 * within the code...
 * NO_WINNER is a special PlayerCode, as the ScoreController
 * uses it as a return value to state that the game ended
 * in a draw.
 * Also note that for the ScoreController it's important
 * that PLAYER_1 * 4 is < PLAYER_2. The Algorithms used
 * in ScoreController would not otherwhise!
 */
enum PlayerCode
{
	NO_WINNER = -1,
	NO_PLAYER = 0,
	PLAYER_1 = 1,
	PLAYER_2 = 5
};

#endif

