#ifndef SDLFONT_H
#define SDLFONT_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * SdlFont.h - a simple wrapper over SDL_ttf
 *
 ************************************************************************/

#include <string>
#include <vector>
using std::string;
using std::vector;

#include "SdlHelper.h"
#include <SDL/SDL_types.h>

struct _TTF_Font;
typedef _TTF_Font TTF_Font;
struct SDL_Surface;
class SdlFontManager;
 
 
/*
 * SdlFont is a wrapper for SDL_ttf font objects
 * they can render text and... well, pretty much
 * nothing more ;-)
 * SdlFont's have to be created trough the SdlFontManger,
 * which is responsable for dealing with the
 * SDL_ttf resources.
 * The Surfaces created by SdlFont have to be cleaned
 * up the the caller!
 */
class SdlFont
{
	public:

		friend class SdlFontManager;
		
		SDL_Surface* renderBlended(const string& text, Uint8 r, Uint8 g, Uint8 b) const;
		SDL_Surface* renderMultilineBlended(const string& text, Uint8 r,
		                                    Uint8 g, Uint8 b, Alignment align) const;

	private:
		SdlFont(TTF_Font* font);
		TTF_Font* font_;
		
		
		vector<string> splitMultiline(const string& text) const;
};

#endif
