#ifndef SDLDRAWER_H
#define SDLDRAWER_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * SdlGridDrawer.h - implements a GridDrawer using libSDL
 *
 ************************************************************************/

#include <SDL/SDL_types.h>
#include "Player.h"

struct SDL_Surface;
class GameGrid;
 

/*
 * The Drawer draws the status of a GameGrid to display_
 * everytime its draw() method gets called.
 */
class SdlGridDrawer
{
	public:
		SdlGridDrawer(const GameGrid& grid, const Player& p1,
		              const Player& p2, SDL_Surface* display);
		~SdlGridDrawer();
		void draw();
		void setCursorToSlot(unsigned short slot);
		
	private:
		void drawCursor();
		
		const GameGrid& grid_;
		SDL_Surface* display_;
		SDL_Surface* overlay_;
		SDL_Surface* cursor_;
		Uint32 colorPlayer1_;
		Uint32 colorPlayer2_;
		Uint32 colorNoPlayer_;
		short cursorSlot_;
		
		const int startDrawingOffsetX;
		const int startDrawingOffsetY;
};
#endif

