#ifndef SDLHELPER_H
#define SDLHELPER_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * SdlFontHelper.h - some helper functions for libSDL
 *
 ************************************************************************/
 
#include <vector>
#include <string>
using std::vector;
using std::string;
#include <SDL/SDL_types.h>
struct SDL_Surface;

enum Alignment
{
	ALIGN_LEFT,
	ALIGN_RIGHT,
	ALIGN_CENTER
};


/*
 * return the path of a file which lies in the data-directory
 * (this makes it easier to change the data-dir later on)
 */
inline string getPath(const string& name)
{
	return "data/" + name;
}


SDL_Surface* loadImage(const string& name, bool setColorKey = false,
                       Uint8 r = 255, Uint8 g = 0, Uint8 b = 255);

SDL_Surface* createMultilineReturnSurface(int width, int height,
                                          Uint8 r, Uint8 g, Uint8 b,
                                          bool setColorKey);

SDL_Surface* blitOnOneSurface(vector<SDL_Surface*> surfaces, Alignment align,
                              Uint8 r = 255, Uint8 g = 255, Uint8 b = 255,
                              bool setColorKey = true,
                              int spaceBetweenSurfaces = 0);

#endif
