#ifndef SDLMENU_H
#define SDLMENU_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * SdlMenu.h - implements a menu using libSDL
 *
 ************************************************************************/


#include <vector>
using std::vector;

#include "Menu.h"
struct SDL_Surface;
struct SDL_Rect;
class SdlFont;


class SdlMenu : public Menu
{
	public:
		SdlMenu(SDL_Surface* surface, int abortId);
		~SdlMenu();
		void addEntry(const string& label, int return_id);
		int run();
	private:
		struct Entry
		{
			string label;
			int id;
			SDL_Surface* unselectedSurface;
			SDL_Surface* selectedSurface;
			bool selected;

			Entry(const string& lbl, int entry_id,
			      SDL_Surface* sel, SDL_Surface* unsel)
				: label(lbl), id(entry_id),
				  selectedSurface(sel),
				  unselectedSurface(unsel),
				  selected(false)
				  {}
		};

		typedef vector<Entry>::iterator EntryIter;

		void drawMenu();
		void drawEntries();
		void drawBackground();
		bool selectElementUnderMouse(int x, int y);
		bool isInside(int x, int y, const SDL_Rect& rect);
		SDL_Surface* makeAboutText();

		vector<Entry> entries_;
		EntryIter selectedEntry_;
		int abortId_;
		SDL_Surface* surface_;
		SDL_Surface* aboutText_;
		SdlFont* selectedFont_;
		SdlFont* unselectedFont_;
		bool isDisplaySurface;
};

#endif

