#ifndef SDLUSERINTERFACE_H
#define SDLUSERINTERFACE_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * SdlUserInterface.h - the UserInterface, implemented with libSDL
 *
 ************************************************************************/


#include "UserInterface.h"
class GameManager;
class SdlGridDrawer;
struct SDL_Surface;
struct SDL_Rect;

class SdlMenu;


/*
 * the UserInterface interactings with the player,
 * asking him for his inputs
 */
class SdlUserInterface : public UserInterface
{
	public:
		SdlUserInterface(GameManager& game);
		~SdlUserInterface();
		virtual void handleInput();
		virtual void showWinner(const Player& winner);
		virtual void showMainMenu();

	private:
		void tryToUseSlot(unsigned short slot);
		void drawAll();

		SdlGridDrawer* drawer_;
		SDL_Surface* display_;
		SDL_Surface* cursor_;
		bool quitSdlOnExit_;
		unsigned int slotWidth_;
		bool block_;
		SdlMenu* mainMenu_;
		unsigned short selectedSlot_;

		
		enum MenuId
		{
			EXIT_PROGRAM = -1,
			START_GAME
		};
};

#endif

