#ifndef TEXTUSERINTERFACE_H
#define TEXTUSERINTERFACE_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * ConsoleUserInterface.h - interacts with the user through the console
 *
 ************************************************************************/


#include "UserInterface.h"
#include <string>

class GameManager;
class ConsoleGridDrawer;


/*
 * the ConsoleInputHandler is a Text User Interface, interacting
 * with the user through STDOUT and STDIN
 */
class TextUserInterface : public UserInterface
{
	public:
		TextUserInterface(GameManager& game);
		virtual ~TextUserInterface();

		virtual void handleInput();
		virtual void showWinner(const Player& winner);
		virtual void showMainMenu();

	private:
		ConsoleGridDrawer* drawer_;
		void resetStdin();
};


#endif

