#ifndef USERINTERFACE_H
#define USERINTERFACE_H
/************************************************************************
 *
 *	VierVerliert
 *	(c) 2004, 2005 Thomas Unterthiner
 *
 * UserInterface.h - interface for the UserInterface
 *
 ************************************************************************/


#include <string>
#include "Player.h"
class GameManager;


/*
 * the UserInterface interactings with the player, 
 * asking him for his inputs
 */
class UserInterface
{
	public:
		UserInterface(GameManager& game) : game_(game) {}
		
		// note that the following call is blocking and will exit only 
		// after a user has made an input!
		virtual void handleInput() = 0;
		
		virtual void showWinner(const Player& winner) = 0;
		virtual void showMainMenu() = 0;

	protected:
		GameManager& getGame() {return game_;}

	private:
		GameManager& game_;
};

#endif

